<?php
/**
 * Plugin support: ThemeREX Pop-Up
 *
 * @package ThemeREX Addons
 * @since v1.5
 */

// Don't load directly
if ( ! defined( 'TRX_ADDONS_VERSION' ) ) {
	exit;
}

// Set plugin's specific importer options
if ( !function_exists( 'wanderic_ocdi_trx_popup_set_options' ) ) {
	add_filter( 'trx_addons_filter_ocdi_options', 'wanderic_ocdi_trx_popup_set_options' );
	function wanderic_ocdi_trx_popup_set_options($ocdi_options){
		$ocdi_options['import_trx_popup_file_url'] = 'trx_popup.txt';
		return $ocdi_options;		
	}
}

// Export ThemeREX Pop-Up
if ( !function_exists( 'wanderic_ocdi_trx_popup_export' ) ) {
	add_filter( 'trx_addons_filter_ocdi_export_files', 'wanderic_ocdi_trx_popup_export' );
	function wanderic_ocdi_trx_popup_export($output){
		$list = array();
		if (trx_addons_exists_trx_popup() && in_array('trx_popup', trx_addons_ocdi_options('required_plugins'))) {
			// Get plugin data from database
			$options = array('trx-popup-options');
			$list = trx_addons_ocdi_export_options($options, $list);
			
			// Save as file
			$file_path = TRX_ADDONS_PLUGIN_OCDI . "export/trx_popup.txt";
			trx_addons_fpc(trx_addons_get_file_dir($file_path), serialize($list));
			
			// Return file path
			$output .= '<h4><a href="'. trx_addons_get_file_url($file_path).'" download>' . esc_html__('ThemeREX Pop-Up', 'wanderic') . '</a></h4>';
		}
		return $output;
	}
}

// Add plugin to import list
if ( !function_exists( 'wanderic_ocdi_trx_popup_import_field' ) ) {
	add_filter( 'trx_addons_filter_ocdi_import_fields', 'wanderic_ocdi_trx_popup_import_field' );
	function wanderic_ocdi_trx_popup_import_field($output){
		$list = array();
		if (trx_addons_exists_trx_popup() && in_array('trx_popup', trx_addons_ocdi_options('required_plugins'))) {
			$output .= '<label><input type="checkbox" name="trx_popup" value="trx_popup">' . esc_html__( 'ThemeREX Pop-Up', 'wanderic' ) . '</label><br/>';
		}
		return $output;
	}
}

// Import ThemeREX Pop-Up
if ( !function_exists( 'wanderic_ocdi_trx_popup_import' ) ) {
	add_action( 'trx_addons_action_ocdi_import_plugins', 'wanderic_ocdi_trx_popup_import', 10, 1 );
	function wanderic_ocdi_trx_popup_import($import_plugins){
		if (trx_addons_exists_trx_popup() && in_array('trx_popup', $import_plugins)) {
			trx_addons_ocdi_import_dump('trx_popup');
			echo esc_html__('ThemeREX Pop-Up import complete.', 'wanderic') . "\r\n";
		}
	}
}