<?php
/* Elegro Crypto Payment support functions
------------------------------------------------------------------------------- */

// Theme init priorities:
// 9 - register other filters (for installer, etc.)
if ( ! function_exists( 'wanderic_woocommerce_social_media_share_buttons_theme_setup9' ) ) {
	add_action( 'after_setup_theme', 'wanderic_woocommerce_social_media_share_buttons_theme_setup9', 9 );
	function wanderic_woocommerce_social_media_share_buttons_theme_setup9() {
		if ( is_admin() ) {
			add_filter( 'wanderic_filter_tgmpa_required_plugins', 'wanderic_woocommerce_social_media_share_buttons_tgmpa_required_plugins' );
		}
	}
}

// Filter to add in the required plugins list
if ( ! function_exists( 'wanderic_woocommerce_social_media_share_buttons_tgmpa_required_plugins' ) ) {
	//Handler of the add_filter('wanderic_filter_tgmpa_required_plugins',	'wanderic_woocommerce_social_media_share_buttons_tgmpa_required_plugins');
	function wanderic_woocommerce_social_media_share_buttons_tgmpa_required_plugins( $list = array() ) {
		if ( wanderic_storage_isset( 'required_plugins', 'woocommerce' ) && wanderic_storage_isset( 'required_plugins', 'woocommerce-social-media-share-buttons' ) ) {
			$list[] = array(
				'name'     => wanderic_storage_get_array( 'required_plugins', 'woocommerce-social-media-share-buttons', 'title' ),
				'slug'     => 'woocommerce-social-media-share-buttons',
				'required' => false,
			);
		}
		return $list;
	}
}

// Check if this plugin installed and activated
if ( ! function_exists( 'wanderic_exists_woocommerce_social_media_share_buttons' ) ) {
	function wanderic_exists_woocommerce_social_media_share_buttons() {
		return function_exists( 'toastie_wc_smsb_social_init' );
	}
}

/* Import Options */
// Set plugin's specific importer options
if ( !function_exists( 'wanderic_woocommerce_social_media_buttons_importer_set_options' ) ) {
    add_filter( 'trx_addons_filter_importer_options',	'wanderic_woocommerce_social_media_buttons_importer_set_options' );
    function wanderic_woocommerce_social_media_buttons_importer_set_options($options=array()) {
        if ( wanderic_exists_woocommerce_social_media_share_buttons() && wanderic_storage_isset( 'required_plugins', 'woocommerce-social-media-share-buttons' ) ) {
            $options['additional_options'][]	= 'toastie_smsb_%';
        }
        return $options;
    }
}