<?php
// Add plugin-specific colors and fonts to the custom CSS
if ( ! function_exists( 'wanderic_content_timeline_get_css' ) ) {
	add_filter( 'wanderic_filter_get_css', 'wanderic_content_timeline_get_css', 10, 2 );
	function wanderic_content_timeline_get_css( $css, $args ) {
		if ( isset( $css['fonts'] ) && isset( $args['fonts'] ) ) {
			$fonts         = $args['fonts'];
			$css['fonts'] .= <<<CSS
			
.timeline.my_style_style_4 .t_line_month,
.timeline.my_style_style_4 a.t_line_node,
.timeline.my_style_style_4 .item .my_timeline_content .read_more {
	{$fonts['p_font-family']}
}

CSS;
		}

		if ( isset( $css['colors'] ) && isset( $args['colors'] ) ) {
			$colors         = $args['colors'];
			$css['colors'] .= <<<CSS

/* Timeline */
.timeline.my_style_style_4 .timeline_line {
	background-color: {$colors['text_dark']};
	color: {$colors['text']};
}
.timeline.my_style_style_4 .t_line_month {
	color: {$colors['bg_color']};
}
.timeline.my_style_style_4 .t_line_wrapper:after {
	border-bottom-color: {$colors['text_link']} !important;
}
#tl2.timeline.my_style_style_4 .t_line_node {
	color: {$colors['text']} !important;
}
#tl2.timeline.my_style_style_4 .t_line_node.active {
	color: {$colors['bg_color']} !important;
}
#tl2.timeline.my_style_style_4 .t_line_node:after {
	background: {$colors['text_link']} !important;
}
#tl2.timeline.my_style_style_4 .t_line_node.active:after {
	border-color: {$colors['text_link']} !important;
	background: {$colors['text_dark']} !important;
}
#tl2.timeline.my_style_style_4 #t_line_left, 
#tl2.timeline.my_style_style_4 #t_line_right {
	color: {$colors['text_link']} !important;
}
#tl2.timeline.my_style_style_4 #t_line_left:hover, 
#tl2.timeline.my_style_style_4 #t_line_right:hover {
	color: {$colors['bg_color']} !important;
}
.timeline.my_style_style_4 .t_node_desc {
	color: {$colors['bg_color']};
}
.timeline.my_style_style_4 .t_node_desc span {
	background: {$colors['text_link']} !important;
}
#tl2.timeline.my_style_style_4 .t_node_desc span:after {
	border-top-color: {$colors['text_link']};
}

/* Items */
.timeline.my_style_style_4 .item {
	background: {$colors['bg_color']} !important;
}
.timeline.my_style_style_4 .timeline_items_wrapper .item h2 {
	color: {$colors['text_dark']} !important;
}
.timeline.my_style_style_4 .my_post_date {
	color: {$colors['text_light']} !important;
}
.timeline.my_style_style_4 .my_timeline_content span {
	color: {$colors['text']} !important;
}
#tl2.timeline.my_style_style_4 .my_timeline_content .read_more {
	color: {$colors['text_link']} !important;
}
#tl2.timeline.my_style_style_4 .my_timeline_content .read_more:hover {
	color: {$colors['text_dark']} !important;
}
#tl2.timeline.my_style_style_4 .item_node_hover:before {
	background-color: {$colors['text_link']} !important;
}
#tl2.timeline.my_style_style_4 .item_node_hover:after {
	border-top-color: {$colors['text_link']} !important;
}

CSS;
		}

		return $css;
	}
}

