<?php
/**
 * The custom template to display the content
 *
 * Used for index/archive/search.
 *
 * @package WANDERIC
 * @since WANDERIC 1.0.50
 */

$wanderic_template_args = get_query_var( 'wanderic_template_args' );
if ( is_array( $wanderic_template_args ) ) {
	$wanderic_columns    = empty( $wanderic_template_args['columns'] ) ? 2 : max( 1, $wanderic_template_args['columns'] );
	$wanderic_blog_style = array( $wanderic_template_args['type'], $wanderic_columns );
} else {
	$wanderic_blog_style = explode( '_', wanderic_get_theme_option( 'blog_style' ) );
	$wanderic_columns    = empty( $wanderic_blog_style[1] ) ? 2 : max( 1, $wanderic_blog_style[1] );
}
$wanderic_blog_id       = wanderic_get_custom_blog_id( join( '_', $wanderic_blog_style ) );
$wanderic_blog_style[0] = str_replace( 'blog-custom-', '', $wanderic_blog_style[0] );
$wanderic_expanded      = ! wanderic_sidebar_present() && wanderic_get_theme_option( 'expand_content' ) == 'expand';
$wanderic_components    = ! empty( $wanderic_template_args['meta_parts'] )
							? ( is_array( $wanderic_template_args['meta_parts'] )
								? join( ',', $wanderic_template_args['meta_parts'] )
								: $wanderic_template_args['meta_parts']
								)
							: wanderic_array_get_keys_by_value( wanderic_get_theme_option( 'meta_parts' ) );
$wanderic_post_format   = get_post_format();
$wanderic_post_format   = empty( $wanderic_post_format ) ? 'standard' : str_replace( 'post-format-', '', $wanderic_post_format );

$wanderic_blog_meta     = wanderic_get_custom_layout_meta( $wanderic_blog_id );
$wanderic_custom_style  = ! empty( $wanderic_blog_meta['scripts_required'] ) ? $wanderic_blog_meta['scripts_required'] : 'none';

if ( ! empty( $wanderic_template_args['slider'] ) || $wanderic_columns > 1 || ! wanderic_is_off( $wanderic_custom_style ) ) {
	?><div class="
		<?php
		if ( ! empty( $wanderic_template_args['slider'] ) ) {
			echo 'slider-slide swiper-slide';
		} else {
			echo esc_attr( ( wanderic_is_off( $wanderic_custom_style ) ? 'column' : sprintf( '%1$s_item %1$s_item', $wanderic_custom_style ) ) . "-1_{$wanderic_columns}" );
		}
		?>
	">
	<?php
}
?>
<article id="post-<?php the_ID(); ?>" data-post-id="<?php the_ID(); ?>"
	<?php
	post_class(
			'post_item post_item_container post_format_' . esc_attr( $wanderic_post_format )
					. ' post_layout_custom post_layout_custom_' . esc_attr( $wanderic_columns )
					. ' post_layout_' . esc_attr( $wanderic_blog_style[0] )
					. ' post_layout_' . esc_attr( $wanderic_blog_style[0] ) . '_' . esc_attr( $wanderic_columns )
					. ( ! wanderic_is_off( $wanderic_custom_style )
						? ' post_layout_' . esc_attr( $wanderic_custom_style )
							. ' post_layout_' . esc_attr( $wanderic_custom_style ) . '_' . esc_attr( $wanderic_columns )
						: ''
						)
		);
	wanderic_add_blog_animation( $wanderic_template_args );
	?>
>
	<?php
	// Sticky label
	if ( is_sticky() && ! is_paged() ) {
		?>
		<span class="post_label label_sticky"></span>
		<?php
	}
	// Custom layout
	do_action( 'wanderic_action_show_layout', $wanderic_blog_id, get_the_ID() );
	?>
</article><?php
if ( ! empty( $wanderic_template_args['slider'] ) || $wanderic_columns > 1 || ! wanderic_is_off( $wanderic_custom_style ) ) {
	?></div><?php
	// Need opening PHP-tag above just after </div>, because <div> is a inline-block element (used as column)!
}
