<?php
/**
 * The template to display the widgets area in the footer
 *
 * @package WANDERIC
 * @since WANDERIC 1.0.10
 */

// Footer sidebar
$wanderic_footer_name    = wanderic_get_theme_option( 'footer_widgets' );
$wanderic_footer_present = ! wanderic_is_off( $wanderic_footer_name ) && is_active_sidebar( $wanderic_footer_name );
if ( $wanderic_footer_present ) {
	wanderic_storage_set( 'current_sidebar', 'footer' );
	$wanderic_footer_wide = wanderic_get_theme_option( 'footer_wide' );
	ob_start();
	if ( is_active_sidebar( $wanderic_footer_name ) ) {
		dynamic_sidebar( $wanderic_footer_name );
	}
	$wanderic_out = trim( ob_get_contents() );
	ob_end_clean();
	if ( ! empty( $wanderic_out ) ) {
		$wanderic_out          = preg_replace( "/<\\/aside>[\r\n\s]*<aside/", '</aside><aside', $wanderic_out );
		$wanderic_need_columns = true;   //or check: strpos($wanderic_out, 'columns_wrap')===false;
		if ( $wanderic_need_columns ) {
			$wanderic_columns = max( 0, (int) wanderic_get_theme_option( 'footer_columns' ) );			
			if ( 0 == $wanderic_columns ) {
				$wanderic_columns = min( 4, max( 1, wanderic_tags_count( $wanderic_out, 'aside' ) ) );
			}
			if ( $wanderic_columns > 1 ) {
				$wanderic_out = preg_replace( '/<aside([^>]*)class="widget/', '<aside$1class="column-1_' . esc_attr( $wanderic_columns ) . ' widget', $wanderic_out );
			} else {
				$wanderic_need_columns = false;
			}
		}
		?>
		<div class="footer_widgets_wrap widget_area<?php echo ! empty( $wanderic_footer_wide ) ? ' footer_fullwidth' : ''; ?> sc_layouts_row sc_layouts_row_type_normal">
			<?php do_action( 'wanderic_action_before_sidebar_wrap', 'footer' ); ?>
			<div class="footer_widgets_inner widget_area_inner">
				<?php
				if ( ! $wanderic_footer_wide ) {
					?>
					<div class="content_wrap">
					<?php
				}
				if ( $wanderic_need_columns ) {
					?>
					<div class="columns_wrap">
					<?php
				}
				do_action( 'wanderic_action_before_sidebar', 'footer' );
				wanderic_show_layout( $wanderic_out );
				do_action( 'wanderic_action_after_sidebar', 'footer' );
				if ( $wanderic_need_columns ) {
					?>
					</div><!-- /.columns_wrap -->
					<?php
				}
				if ( ! $wanderic_footer_wide ) {
					?>
					</div><!-- /.content_wrap -->
					<?php
				}
				?>
			</div><!-- /.footer_widgets_inner -->
			<?php do_action( 'wanderic_action_after_sidebar_wrap', 'footer' ); ?>
		</div><!-- /.footer_widgets_wrap -->
		<?php
	}
}
