<?php
/**
 * The template to display custom header from the ThemeREX Addons Layouts
 *
 * @package WANDERIC
 * @since WANDERIC 1.0.06
 */

$wanderic_header_css   = '';
$wanderic_header_image = get_header_image();
$wanderic_header_video = wanderic_get_header_video();
if ( ! empty( $wanderic_header_image ) && wanderic_trx_addons_featured_image_override( is_singular() || wanderic_storage_isset( 'blog_archive' ) || is_category() ) ) {
	$wanderic_header_image = wanderic_get_current_mode_image( $wanderic_header_image );
}

$wanderic_header_id = wanderic_get_custom_header_id();
$wanderic_header_meta = get_post_meta( $wanderic_header_id, 'trx_addons_options', true );
if ( ! empty( $wanderic_header_meta['margin'] ) ) {
	wanderic_add_inline_css( sprintf( '.page_content_wrap{padding-top:%s}', esc_attr( wanderic_prepare_css_value( $wanderic_header_meta['margin'] ) ) ) );
}

?><header class="top_panel top_panel_custom top_panel_custom_<?php echo esc_attr( $wanderic_header_id ); ?> top_panel_custom_<?php echo esc_attr( sanitize_title( get_the_title( $wanderic_header_id ) ) ); ?>
				<?php
				echo ! empty( $wanderic_header_image ) || ! empty( $wanderic_header_video )
					? ' with_bg_image'
					: ' without_bg_image';
				if ( '' != $wanderic_header_video ) {
					echo ' with_bg_video';
				}
				if ( '' != $wanderic_header_image ) {
					echo ' ' . esc_attr( wanderic_add_inline_css_class( 'background-image: url(' . esc_url( $wanderic_header_image ) . ');' ) );
				}
				if ( is_single() && has_post_thumbnail() ) {
					echo ' with_featured_image';
				}
				if ( wanderic_is_on( wanderic_get_theme_option( 'header_fullheight' ) ) ) {
					echo ' header_fullheight wanderic-full-height';
				}
				$wanderic_header_scheme = wanderic_get_theme_option( 'header_scheme' );
				if ( ! empty( $wanderic_header_scheme ) && ! wanderic_is_inherit( $wanderic_header_scheme  ) ) {
					echo ' scheme_' . esc_attr( $wanderic_header_scheme );
				}
				?>
">
	<?php

	// Background video
	if ( ! empty( $wanderic_header_video ) ) {
		get_template_part( apply_filters( 'wanderic_filter_get_template_part', 'templates/header-video' ) );
	}

	// Custom header's layout
	do_action( 'wanderic_action_show_layout', $wanderic_header_id );

	// Header widgets area
	get_template_part( apply_filters( 'wanderic_filter_get_template_part', 'templates/header-widgets' ) );

	?>
</header>
