<?php
/**
 * The template to display default site header
 *
 * @package WANDERIC
 * @since WANDERIC 1.0
 */

$wanderic_header_css   = '';
$wanderic_header_image = get_header_image();
$wanderic_header_video = wanderic_get_header_video();
if ( ! empty( $wanderic_header_image ) && wanderic_trx_addons_featured_image_override( is_singular() || wanderic_storage_isset( 'blog_archive' ) || is_category() ) ) {
	$wanderic_header_image = wanderic_get_current_mode_image( $wanderic_header_image );
}

?><header class="top_panel top_panel_default
	<?php
	echo ! empty( $wanderic_header_image ) || ! empty( $wanderic_header_video ) ? ' with_bg_image' : ' without_bg_image';
	if ( '' != $wanderic_header_video ) {
		echo ' with_bg_video';
	}
	if ( '' != $wanderic_header_image ) {
		echo ' ' . esc_attr( wanderic_add_inline_css_class( 'background-image: url(' . esc_url( $wanderic_header_image ) . ');' ) );
	}
	if ( is_single() && has_post_thumbnail() ) {
		echo ' with_featured_image';
	}
	if ( wanderic_is_on( wanderic_get_theme_option( 'header_fullheight' ) ) ) {
		echo ' header_fullheight wanderic-full-height';
	}
	$wanderic_header_scheme = wanderic_get_theme_option( 'header_scheme' );
	if ( ! empty( $wanderic_header_scheme ) && ! wanderic_is_inherit( $wanderic_header_scheme  ) ) {
		echo ' scheme_' . esc_attr( $wanderic_header_scheme );
	}
	?>
">
	<?php

	// Background video
	if ( ! empty( $wanderic_header_video ) ) {
		get_template_part( apply_filters( 'wanderic_filter_get_template_part', 'templates/header-video' ) );
	}

	// Main menu
	get_template_part( apply_filters( 'wanderic_filter_get_template_part', 'templates/header-navi' ) );

	// Mobile header
	if ( wanderic_is_on( wanderic_get_theme_option( 'header_mobile_enabled' ) ) ) {
		get_template_part( apply_filters( 'wanderic_filter_get_template_part', 'templates/header-mobile' ) );
	}

	// Page title and breadcrumbs area
	if ( ! is_single() ) {
		get_template_part( apply_filters( 'wanderic_filter_get_template_part', 'templates/header-title' ) );
	}

	// Header widgets area
	get_template_part( apply_filters( 'wanderic_filter_get_template_part', 'templates/header-widgets' ) );
	?>
</header>
