<?php
/**
 * The template to display the logo or the site name and the slogan in the Header
 *
 * @package WANDERIC
 * @since WANDERIC 1.0
 */

$wanderic_args = get_query_var( 'wanderic_logo_args' );

// Site logo
$wanderic_logo_type   = isset( $wanderic_args['type'] ) ? $wanderic_args['type'] : '';
$wanderic_logo_image  = wanderic_get_logo_image( $wanderic_logo_type );
$wanderic_logo_text   = wanderic_is_on( wanderic_get_theme_option( 'logo_text' ) ) ? get_bloginfo( 'name' ) : '';
$wanderic_logo_slogan = get_bloginfo( 'description', 'display' );
if ( ! empty( $wanderic_logo_image['logo'] ) || ! empty( $wanderic_logo_text ) ) {
	?><a class="sc_layouts_logo" href="<?php echo esc_url( home_url( '/' ) ); ?>">
		<?php
		if ( ! empty( $wanderic_logo_image['logo'] ) ) {
			if ( empty( $wanderic_logo_type ) && function_exists( 'the_custom_logo' ) && (int) $wanderic_logo_image['logo'] > 0 ) {
				the_custom_logo();
			} else {
				$wanderic_attr = wanderic_getimagesize( $wanderic_logo_image['logo'] );
				echo '<img src="' . esc_url( $wanderic_logo_image['logo'] ) . '"'
						. ( ! empty( $wanderic_logo_image['logo_retina'] ) ? ' srcset="' . esc_url( $wanderic_logo_image['logo_retina'] ) . ' 2x"' : '' )
						. ' alt="' . esc_attr( $wanderic_logo_text ) . '"'
						. ( ! empty( $wanderic_attr[3] ) ? ' ' . wp_kses_data( $wanderic_attr[3] ) : '' )
						. '>';
			}
		} else {
			wanderic_show_layout( wanderic_prepare_macros( $wanderic_logo_text ), '<span class="logo_text">', '</span>' );
			wanderic_show_layout( wanderic_prepare_macros( $wanderic_logo_slogan ), '<span class="logo_slogan">', '</span>' );
		}
		?>
	</a>
	<?php
}
