<?php
/**
 * The template to show mobile menu
 *
 * @package WANDERIC
 * @since WANDERIC 1.0
 */
?>
<div class="menu_mobile_overlay"></div>
<div class="menu_mobile menu_mobile_<?php echo esc_attr( wanderic_get_theme_option( 'menu_mobile_fullscreen' ) > 0 ? 'fullscreen' : 'narrow' ); ?> scheme_dark">
	<div class="menu_mobile_inner">
		<a class="menu_mobile_close theme_button_close" tabindex="0"><span class="theme_button_close_icon"></span></a>
		<?php

		// Logo
		set_query_var( 'wanderic_logo_args', array( 'type' => 'mobile' ) );
		get_template_part( apply_filters( 'wanderic_filter_get_template_part', 'templates/header-logo' ) );
		set_query_var( 'wanderic_logo_args', array() );

		// Mobile menu
		$wanderic_menu_mobile = wanderic_get_nav_menu( 'menu_mobile' );
		if ( empty( $wanderic_menu_mobile ) ) {
			$wanderic_menu_mobile = apply_filters( 'wanderic_filter_get_mobile_menu', '' );
			if ( empty( $wanderic_menu_mobile ) ) {
				$wanderic_menu_mobile = wanderic_get_nav_menu( 'menu_main' );
				if ( empty( $wanderic_menu_mobile ) ) {
					$wanderic_menu_mobile = wanderic_get_nav_menu();
				}
			}
		}
		if ( ! empty( $wanderic_menu_mobile ) ) {
			$wanderic_menu_mobile = str_replace(
				array( 'menu_main',   'id="menu-',        'sc_layouts_menu_nav', 'sc_layouts_menu ', 'sc_layouts_hide_on_mobile', 'hide_on_mobile' ),
				array( 'menu_mobile', 'id="menu_mobile-', '',                    ' ',                '',                          '' ),
				$wanderic_menu_mobile
			);
			if ( strpos( $wanderic_menu_mobile, '<nav ' ) === false ) {
				$wanderic_menu_mobile = sprintf( '<nav class="menu_mobile_nav_area" itemscope="itemscope" itemtype="%1$s//schema.org/SiteNavigationElement">%2$s</nav>', esc_attr( wanderic_get_protocol( true ) ), $wanderic_menu_mobile );
			}
			wanderic_show_layout( apply_filters( 'wanderic_filter_menu_mobile_layout', $wanderic_menu_mobile ) );
		}
		?>
	</div>
</div>
