<?php
/**
 * The template to display the widgets area in the header
 *
 * @package WANDERIC
 * @since WANDERIC 1.0
 */

// Header sidebar
$wanderic_header_name    = wanderic_get_theme_option( 'header_widgets' );
$wanderic_header_present = ! wanderic_is_off( $wanderic_header_name ) && is_active_sidebar( $wanderic_header_name );
if ( $wanderic_header_present ) {
	wanderic_storage_set( 'current_sidebar', 'header' );
	$wanderic_header_wide = wanderic_get_theme_option( 'header_wide' );
	ob_start();
	if ( is_active_sidebar( $wanderic_header_name ) ) {
		dynamic_sidebar( $wanderic_header_name );
	}
	$wanderic_widgets_output = ob_get_contents();
	ob_end_clean();
	if ( ! empty( $wanderic_widgets_output ) ) {
		$wanderic_widgets_output = preg_replace( "/<\/aside>[\r\n\s]*<aside/", '</aside><aside', $wanderic_widgets_output );
		$wanderic_need_columns   = strpos( $wanderic_widgets_output, 'columns_wrap' ) === false;
		if ( $wanderic_need_columns ) {
			$wanderic_columns = max( 0, (int) wanderic_get_theme_option( 'header_columns' ) );
			if ( 0 == $wanderic_columns ) {
				$wanderic_columns = min( 6, max( 1, wanderic_tags_count( $wanderic_widgets_output, 'aside' ) ) );
			}
			if ( $wanderic_columns > 1 ) {
				$wanderic_widgets_output = preg_replace( '/<aside([^>]*)class="widget/', '<aside$1class="column-1_' . esc_attr( $wanderic_columns ) . ' widget', $wanderic_widgets_output );
			} else {
				$wanderic_need_columns = false;
			}
		}
		?>
		<div class="header_widgets_wrap widget_area<?php echo ! empty( $wanderic_header_wide ) ? ' header_fullwidth' : ' header_boxed'; ?>">
			<?php do_action( 'wanderic_action_before_sidebar_wrap', 'header' ); ?>
			<div class="header_widgets_inner widget_area_inner">
				<?php
				if ( ! $wanderic_header_wide ) {
					?>
					<div class="content_wrap">
					<?php
				}
				if ( $wanderic_need_columns ) {
					?>
					<div class="columns_wrap">
					<?php
				}
				do_action( 'wanderic_action_before_sidebar', 'header' );
				wanderic_show_layout( $wanderic_widgets_output );
				do_action( 'wanderic_action_after_sidebar', 'header' );
				if ( $wanderic_need_columns ) {
					?>
					</div>	<!-- /.columns_wrap -->
					<?php
				}
				if ( ! $wanderic_header_wide ) {
					?>
					</div>	<!-- /.content_wrap -->
					<?php
				}
				?>
			</div>	<!-- /.header_widgets_inner -->
			<?php do_action( 'wanderic_action_after_sidebar_wrap', 'header' ); ?>
		</div>	<!-- /.header_widgets_wrap -->
		<?php
	}
}
