<?php
/**
 * Template to display the team member's posts
 *
 * @package ThemeREX Addons
 * @since v1.6.63
 */

$args = get_query_var('trx_addons_args_sc_team');

$meta = get_post_meta(get_the_ID(), 'trx_addons_options', true);
$link = empty($args['no_links']) ? get_permalink() : '';

if ($args['slider']) {
	?><div class="slider-slide swiper-slide"><?php
} else if ($args['columns'] > 1) {
	?><div class="<?php echo esc_attr(trx_addons_get_column_class(1, $args['columns'], !empty($args['columns_tablet']) ? $args['columns_tablet'] : '', !empty($args['columns_mobile']) ? $args['columns_mobile'] : '')); ?>"><?php
}
?>
<div data-post-id="<?php the_ID(); ?>" <?php
	post_class( 'sc_team_posts_item sc_item_container post_container' . (empty($post_link) ? ' no_links' : '') );
	trx_addons_add_blog_animation('team', $args);
?>>
	<?php
	// Featured image
    wanderic_show_post_featured(
        array(
            'thumb_size'    => apply_filters( 'wanderic_filter_related_thumb_size', wanderic_get_thumb_size( (int) wanderic_get_theme_option( 'related_posts' ) == 1 ? 'big-square' : 'med-square' ) ),
            'post_info'     => '<div class="post_header entry-header">'
                . '<div class="top_meta_wrap">'
                . '<div class="post_categories">' . wp_kses( wanderic_get_post_categories( '' ), 'wanderic_kses_content' ) . '</div>'
                . '</div>'
                . '<h4 class="post_title entry-title"><a href="' . esc_url( $link ) . '">'
                . wp_kses_data( '' == get_the_title() ? esc_html__( '- No title -', 'wanderic' ) : get_the_title() )
                . '</a></h4>'
                . ( in_array( get_post_type(), array( 'post', 'attachment' ) )
                    ? wanderic_show_post_meta(array('components' => 'author,date,comments','seo' => false,'echo' => false,))
                    : '' )
                . '</div>',
            'hover'         => 'icon',
            'thumb_ratio'   => '16:17',
        )
    );
	?>
</div><?php
if ($args['slider'] || $args['columns'] > 1) {
	?></div><?php
}
